## firebird-emu 1.6

=== debian/changelog ===
firebird-emu (1.6-1) unstable; urgency=low

  * Firebird Emu 1.6

 -- Fabian Vogt <fabian@ritter-vogt.de>  Sat, 18 Mar 2023 17:47:46 +0100
