=== debian/changelog ===
firebird-emu (1.6+23.gb36f20d-0) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Adrien <bertrand.adrien@gmail.com>  Fri, 17 Feb 2017 21:16:20 +0100
