=== debian/control ===
Source: firebird-emu
Section: sectionName
Priority: optional
Maintainer: Adrien Bertrand <bertrand.adrien@gmail.com>
Homepage: https://github.com/nspire-emus/firebird
Build-Depends: debhelper (>= 9), qtbase5-dev (>= 5.9), qtdeclarative5-dev, qttools5-dev, qml-module-qtquick2, qttools5-dev-tools, zlib1g-dev

Package: firebird-emu
Architecture: any
Depends: qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-dialogs, qml-module-qt-labs-folderlistmodel, qml-module-qt-labs-settings, qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Homepage: https://github.com/nspire-emus/firebird
Description: TI-Nspire emulator
 Third-party multi-platform emulator of the ARM-based TI-Nspire calculators
